%define upstream_name    Module-Format
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Convert and manipulate stringified versions of Perl modules
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module-Format is a set of Perl modules and the accompanying perlmf command line
utility that can be used to output consistetly formatted named of Perl modules
for input in applications. So one can do:

urpmi --auto $(perlmf as_rpm_c "$@")

to install perl dependencies using urpmi (and many other uses).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/perlmf
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Apr 06 2020 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1565277
- update to 0.4.0

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1505217
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1284789
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1253969
- update to 0.2.0

* Sat May 05 2018 shlomif <shlomif> 0.0.8-1.mga7
+ Revision: 1226445
- update to 0.0.8

* Sun Jun 19 2016 pterjan <pterjan> 0.0.7-3.mga6
+ Revision: 1030014
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.0.7-2.mga6
+ Revision: 967699
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.0.7-1.mga6
+ Revision: 850045
- update to v0.0.7

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-3.mga5
+ Revision: 749101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-2.mga5
+ Revision: 685429
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.0.6-1.mga5
+ Revision: 588495
- update to v0.0.6

* Sat Oct 19 2013 umeabot <umeabot> 0.0.5-2.mga4
+ Revision: 527093
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.0.5-1.mga4
+ Revision: 439546
- update to v0.0.5

* Sun Jan 13 2013 umeabot <umeabot> 0.0.4-7.mga3
+ Revision: 369798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 0.0.4-6.mga3
+ Revision: 314472
- Fix shabang for new perl (for good this time)

* Fri Aug 24 2012 jquelin <jquelin> 0.0.4-5.mga3
+ Revision: 283545
- perl 5.16.1 rebuild

* Thu Aug 23 2012 shlomif <shlomif> 0.0.4-4.mga3
+ Revision: 283316
- Rebuild for new perl interpreter

* Thu May 31 2012 shlomif <shlomif> 0.0.4-3.mga3
+ Revision: 252199
- Rebuild perlmf due to new path  of perl interpreter

* Fri Oct 14 2011 jquelin <jquelin> 0.0.4-2.mga2
+ Revision: 155131
- perl 5.14.2 rebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.0.4-1.mga2
+ Revision: 112197
- update to v0.0.4

* Sun Jun 19 2011 jquelin <jquelin> 0.0.3-2.mga2
+ Revision: 109888
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 0.0.3-1.mga1
+ Revision: 28644
- mageia rebuild
- imported package perl-Module-Format

